# Sync_Strategies.h File Reference

`#include "tao/TAO_Export.h"`
`#include "tao/orbconf.h"`
`#include "tao/Basic_Types.h"`

Include dependency graph for Sync_Strategies.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO
namespace | TimeBase

## Classes

class | TAO_Sync_Strategy
| Define the interface for the Queueing Strategy. More...
class | TAO_Transport_Sync_Strategy
class | TAO_Eager_Buffering_Sync_Strategy
class | TAO_Delayed_Buffering_Sync_Strategy
| Delay the buffering decision until the transport blocks. More...

## Typedefs

typedef CORBA::ULongLong | TimeT
| Time in TimeT is expressed in units of 100 nano seconds.

## Detailed Description

Id
  Sync_Strategies.h,v 1.17 2005/01/04 10:03:39 jwillemsen Exp

Sync Strategies for the ORB Messaging layer.

Author:
  Irfan Pyarali

## Typedef Documentation

typedef CORBA::ULongLong TimeBase::TimeT

| Time in TimeT is expressed in units of 100 nano seconds. In other words each TimeT is 10^-7 seconds. When used for absolute time 0 is to October 15, 1582. Please read the spec for further details.